## gridlock.app 1.10

=== debian/changelog ===
gridlock.app (1.10-6build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 17:11:25 +0100

gridlock.app (1.10-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/gbp.conf: New file.
  * debian/control (Build-Depends): Switch to debhelper-compat.  Bump
    gnustep-make requirement to (>= 2.9.2-2) for dh_gnustep's new options.
    Add imagemagick for the icon conversion.  Add dpkg-build-api (= 1).
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Homepage): Site gone; replace with the entry at wiki.gnustep.org.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/compat: Delete.
  * debian/rules: Enable hardening.
    (d_app, optim): Remove already defined or unused variable definitions.
    (override_dh_auto_build): Use dh_auto_build instead of $(MAKE) for
    parallel builds and $(verbose) instead of messages=yes to support
    "terse" in DEB_BUILD_OPTIONS.  Create a PNG icon for AppStream's sake.
    (override_dh_link): Rename as...
    (execute_before_dh_link): ...and run dh_gnustep --app --game.  Delete
    duplicate readme.html file.
  * debian/dirs: Delete; now handled by dh_gnustep.
  * debian/install: Remove the XPM icon; add the PNG one.
  * debian/clean: New file; delete the PNG icon.
  * debian/menu: Delete; obsolete since quite some time.
  * debian/gridlock.xpm: Delete; useless.
  * debian/Gridlock.desktop (Icon): Use the PNG icon.
  * debian/preinst: Delete; obsolete.
  * debian/patches/fix-spelling-errors.patch: New; restore patch from Paul
    Gevers which was lost between -4 and -5 (commit ce042dc).
  * debian/patches/gcc-warnings.patch: Fix more warnings.
  * debian/patches/parentheses.patch: Update to apply cleanly.
  * debian/patches/diagonals+checkers.patch: New; fix loading of two games
    and exception when set as initial game (Closes: #1076717).
  * debian/watch: Track a fake site so that uscan does not return error.
  * debian/copyright: Rewrite in copyright-format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 04 Oct 2024 17:38:17 +0300

gridlock.app (1.10-5) unstable; urgency=medium

  * Team upload.
  * Update Vcs fields.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 31 Jan 2020 15:30:16 +0100

gridlock.app (1.10-4) unstable; urgency=medium

  * Ack NMU, thanks gregor herrmann.
  * debian/control (Maintainer): Adopt package on behalf of the GNUstep
    team (Closes: #691825).
    (Uploaders): Add myself.
    (Build-Depends): Require debhelper (>= 9) and gnustep-make (>=
    2.6.6-2); remove obsolete version requirement for libgnustep-gui-dev.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Description): Remove article to placate lintian.
    (Homepage): Move out of description (Closes: #615355).
    (Vcs-Git, Vcs-Browser): New fields.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/compat: Set to 9.
  * debian/source/format: Switch to 3.0 (quilt) and split local
    modifications to:
  * debian/patches/gcc-4.7.patch:
  * debian/patches/non-linux-archs.patch:  While here, also fix the build
    on GNU/Hurd.
  * debian/patches/parentheses.patch: New, make the build less noisy.
  * debian/patches/gcc-warnings.patch: New (Closes: #749755).
  * debian/patches/series: Create.
  * debian/rules: Rewrite for modern debhelper.
  * debian/dirs: Add usr/share/GNUstep, remove pixmaps and the lintian
    override directories.
  * debian/preinst:
  * debian/install: New file.
  * debian/lintian-override: Delete.
  * debian/Gridlock.desktop: Add Keywords field, correct Categories.
  * debian/watch: Replace with a stub/explanation (Closes: #450024).

 -- Yavor Doganov <yavor@gnu.org>  Mon, 04 Aug 2014 22:24:26 +0300

gridlock.app (1.10-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": apply patch from Yavor Doganov.
    (Closes: #667873)

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 May 2012 18:35:44 +0200

gridlock.app (1.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gnustep-gui/1.22 (Closes: #629202).
  * debian/control (Maintainer): Fix Gürkan's email address.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 08 Oct 2011 14:18:16 +0300

gridlock.app (1.10-3) unstable; urgency=low

  * GNUstep transition.
    + Updated debian/rules.
    + Updated debian/dirs.
  * Applied patch to fix FTBFS on GNU/kFreeBSD, thanks to
    Cyril Brulebois. (Closes: #414074)
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 04 Oct 2007 13:42:15 +0200

gridlock.app (1.10-2) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.
  * Bump standards version.
  * Updated manual page.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 17 Sep 2006 23:04:26 +0200

gridlock.app (1.10-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version.
  * Update of build depends for libgnustep-gui0.10-dev.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon,  2 Jan 2006 16:23:45 +0100

gridlock.app (1.9-2) unstable; urgency=low

  * Renamed source package to gridlock.app.
  * Updated manual page and debian/rules.
  * Updated debian/control build-depends for GNUstep 0.9.4.
  * Added documentation from homepage.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 12 Dec 2004 15:29:26 +0100

gridlock (1.9-1) unstable; urgency=high

  * New upstream release.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 15 Aug 2004 10:56:01 +0200

gridlock (1.8-6) unstable; urgency=low

  * Updated debian/control. (closes: #259482)
  * Renamed binary package name to gridlock.app.
  * Using gnustep-app-wrapper now.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 15 Jul 2004 18:46:42 +0200


