=== debian/control ===
Source: gridlock.app
Section: games
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 gnustep-make (>= 2.9.2-2),
 imagemagick,
 libgnustep-gui-dev,
Standards-Version: 4.7.0
Homepage: https://mediawiki.gnustep.org/index.php/Gridlock.app
Vcs-Browser: https://salsa.debian.org/gnustep-team/gridlock.app
Vcs-Git: https://salsa.debian.org/gnustep-team/gridlock.app.git

Package: gridlock.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Collection of grid-based board games for GNUstep
 Gridlock is a collection of grid-based board games for GNUstep, including
 Ataxx, Reversi, Gomoku, Connect Four, Breakthrough, Glass Bead, Hexapawn,
 Quad Wrangle, Cats and Dogs and Moray Eels. You can play against another
 person or computer opponents of varying difficulty, even over the network.
